/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Create table `wp_wpdp_table`
--
CREATE TABLE `wp_wpdp_table` (
  `wpda_table_name` varchar(64) NOT NULL,
  `wpda_table_design` text NOT NULL,
  PRIMARY KEY (`wpda_table_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Export table `wp_wpdp_table`
--
INSERT INTO `wp_wpdp_table` (`wpda_table_name`, `wpda_table_design`) VALUES 
('terreel_docent','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"naam\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"200\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"telefoonnr\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[{\"index_name\":\"terreel_docent_email\",\"unique\":\"Yes\",\"column_names\":\"email\"}],\"listtable_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam (list)\",\"show\":\"on\"},{\"column_name\":\"email\",\"label\":\"Email\",\"show\":\"on\"},{\"column_name\":\"telefoonnr\",\"label\":\"Telefoonnr\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam (data entry)\",\"show\":\"on\"},{\"column_name\":\"email\",\"label\":\"Email\",\"show\":\"on\"},{\"column_name\":\"telefoonnr\",\"label\":\"Telefoonnr\",\"show\":\"on\"}],\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"nr\"],\"target_table_name\":\"terreel_les\",\"target_column_name\":[\"docent_nr\"]}],\"tableinfo\":{\"tab_label\":\"Docent\"}}'),
('terreel_klas','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"module_nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"listtable_column_options\":[{\"column_name\":\"module_nr\",\"label\":\"Module nr\",\"show\":\"on\"},{\"column_name\":\"student_nr\",\"label\":\"Student nr\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"module_nr\",\"label\":\"Module nr\",\"show\":\"on\"},{\"column_name\":\"student_nr\",\"label\":\"Student nr\",\"show\":\"on\"}]}'),
('terreel_les','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"module_nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"docent_nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"listtable_column_options\":[{\"column_name\":\"module_nr\",\"label\":\"Module nr\",\"show\":\"on\"},{\"column_name\":\"docent_nr\",\"label\":\"Docent nr\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"module_nr\",\"label\":\"Module nr\",\"show\":\"on\"},{\"column_name\":\"docent_nr\",\"label\":\"Docent nr\",\"show\":\"on\"}]}'),
('terreel_module','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"naam\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"20\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"omschrijving\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"200\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"listtable_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nummer\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam (list)\",\"show\":\"on\"},{\"column_name\":\"omschrijving\",\"label\":\"Omschrijving\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nummer\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam (data entry)\",\"show\":\"on\"},{\"column_name\":\"omschrijving\",\"label\":\"Omschrijving\",\"show\":\"on\"}],\"list_table\":[],\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"nr\"],\"target_table_name\":\"terreel_uitvoering\",\"target_column_name\":[\"nr\"]},{\"relation_type\":\"nm\",\"source_column_name\":[\"nr\"],\"target_table_name\":\"terreel_klas\",\"target_column_name\":[\"module_nr\"],\"relation_table_name\":\"terreel_student\"},{\"relation_type\":\"nm\",\"source_column_name\":[\"nr\"],\"target_table_name\":\"terreel_les\",\"target_column_name\":[\"module_nr\"],\"relation_table_name\":\"terreel_docent\"}],\"tableinfo\":{\"tab_label\":\"\"}}'),
('terreel_student','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"naam\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"adres\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"200\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"geslacht\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"Man,Vrouw\"}],\"indexes\":[{\"index_name\":\"terreel_student_email\",\"unique\":\"Yes\",\"column_names\":\"email\"}],\"listtable_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam\",\"show\":\"on\"},{\"column_name\":\"adres\",\"label\":\"Adres\",\"show\":\"off\"},{\"column_name\":\"email\",\"label\":\"Email\",\"show\":\"on\"},{\"column_name\":\"geslacht\",\"label\":\"Geslacht\",\"show\":\"off\"}],\"list_table\":[],\"tableform_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"naam\",\"label\":\"Naam\",\"show\":\"on\"},{\"column_name\":\"adres\",\"label\":\"Adres\",\"show\":\"on\"},{\"column_name\":\"geslacht\",\"label\":\"Geslacht\",\"show\":\"on\"},{\"column_name\":\"email\",\"label\":\"Email\",\"show\":\"on\"}],\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"nr\"],\"target_table_name\":\"terreel_klas\",\"target_column_name\":[\"student_nr\"]}],\"tableinfo\":{\"tab_label\":\"Student\"}}'),
('terreel_uitvoering','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"nr\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"startdatum\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"toelichting\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"255\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"listtable_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"startdatum\",\"label\":\"Startdatum\",\"show\":\"on\"},{\"column_name\":\"toelichting\",\"label\":\"Toelichting\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"nr\",\"label\":\"Nr\",\"show\":\"on\"},{\"column_name\":\"startdatum\",\"label\":\"Startdatum\",\"show\":\"on\"},{\"column_name\":\"toelichting\",\"label\":\"Toelichting\",\"show\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Cursus\"}}');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;